Subject: Re: register_syctl_init error in linux-next-20250612

From: Bert Karwatzki <[email-masked]>
Date: Fri, 20 Jun 2025 11:37:40 +0200

Am Donnerstag, dem 19.06.2025 um 14:39 +0200 schrieb Joel Granados:
> On Thu, Jun 12, 2025 at 07:55:13PM +0200, Bert Karwatzki wrote:
> > When starting evolution (gnome email client) on my debian sid with
> > linux-next-20250612 I get the following error message on the terminal
> > emulator (the Gtk messages also occur  when):
> > 
> > Gtk-Message: 13:34:49.069: Failed to load module "colorreload-gtk-module"
> > Gtk-Message: 13:34:49.070: Failed to load module "window-decorations-gtk-module"
> > Gtk-Message: 13:34:51.012: Failed to load module "colorreload-gtk-module"
> > Gtk-Message: 13:34:51.013: Failed to load module "window-decorations-gtk-module"
> > bwrap: Can't read /proc/sys/kernel/overflowuid: No such file or directory
> > 
> > ** (org.gnome.Evolution:3327): ERROR **: 13:34:51.245: Failed to fully launch dbus-proxy: Der Kindprozess wurde mit Status 1 beendet
> > Trace/Breakpoint ausgelöst
> > 
> > and the following message in dmesg:
> > 
> > [  305.600587] [      T3327] traps: evolution[3327] trap int3 ip:7f64442d3ab7 sp:7ffc9f4e94d0 error:0 in libglib-2.0.so.0.8400.2[66ab7,7f644428c000+a1000]
> > 
> > I bisected this to commit cf47285025e6 ("locking/rtmutex: Move max_lock_depth
> > into rtmutex.c"). The absence of /proc/sys/kernel/overflow{uid,gid} seems to be the related
> > to the start failure, in affected kernel version the files are absent while they're present
> > when evolution starts normally.
> I just tested with next-20250619 and I see /proc/sys/kernel/overflow{uid,gid}
> 
> > 
> > Also when booting next-20250612 I get this error message regarding max_lock_depth and
> > rtmutex_sysctl_table:
> > 
> > [    0.234399] [         T1] sysctl duplicate entry: /kernel/max_lock_depth
> > [    0.234402] [         T1] failed when register_sysctl_sz rtmutex_sysctl_table to kernel
> > [    0.234405] [         T1] sysctl duplicate entry: /kernel/max_lock_depth
> > [    0.234407] [         T1] failed when register_sysctl_sz rtmutex_sysctl_table to kernel
> And I do not see these messages in my dmesg. And
> /proc/sys/kernel/max_lock_depth exists.
> 
> Maybe its something that only happened with the version from the 12th?
> Could you test again with the version from the 19?
> 
> Best

I tested next-202506{12,17,19} and sysctl-next and they all show the buggy behaviour.
CONFIG_PREEMPT_RT=y is needed for the bug to appear.

Bert Karwatzki